HTTP library for Lua

$ luarocks install http

# Features

- Optionally asynchronous (including DNS lookups and TLS)
- Supports HTTP(S) version 1.0, 1.1 and 2
- Functionality for both client and server
- Cookie Management
- Websockets
- Compatible with Lua 5.1, 5.2, 5.3 and LuaJIT

# Documentation

Can be found at https://daurnimator.github.io/lua-http/

Versions

scm-0dev1 year ago(revision: 134)2,600 downloads
0.3-01 year ago118,659 downloads
0.2-11 year ago30,118 downloads
0.2-03 years ago8,305 downloads
0.1-11 year ago9 downloads
0.1-03 years ago(revision: 2)1,773 downloads

Dependencies

basexx >= 0.2.0
binaryheap >= 0.3
compat53 >= 0.3
cqueues >= 20161214
lua >= 5.1
luaossl >= 20161208

Dependency for

chrome-devtools-client, cmft-base-kong, cmft-kong, firebase, kong, lacord, lcqhttp, litcord, loverboy, Lua-Telegram-Bot, nekos-lua-cqueues, pm4-sdk-lua, pmcli, quest, web-driver

Labels

Manifests